Subject: Re: PHY firmware update method

From: Jakub Kicinski <[email-masked]>
Date: Tue, 31 Jan 2023 10:41:22 -0800

On Tue, 31 Jan 2023 16:29:04 +0000 Russell King (Oracle) wrote:
> I really don't like the idea of the kernel automatically updating
> non-volatile firmware - that sounds to me like a recipe for all
> sorts of disasters.

FWIW we had a concept of "FW load policy" in devlink but IDK if it
addresses the concern sufficiently. For mlxsw IIRC the load policy
"from disk" means "flash the device if loaded FW is older".